Bug 9443 - Use DataTables on MARC frameworks administration page
Summary: Use DataTables on MARC frameworks administration page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 9925
  Show dependency treegraph
 
Reported: 2013-01-22 15:59 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9443 - Use DataTables on MARC frameworks administration page (2.73 KB, patch)
2013-01-22 16:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9443 - Use DataTables on MARC frameworks administration page (2.86 KB, patch)
2013-01-23 08:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9443 - Use DataTables on MARC frameworks administration page (2.86 KB, patch)
2013-01-28 08:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9443 - Use DataTables on MARC frameworks administration page (2.94 KB, patch)
2013-02-26 14:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9443 [Revised] Use DataTables on MARC frameworks administration (3.46 KB, patch)
2013-03-20 19:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9443 [Revised] Use DataTables on MARC frameworks administration (3.47 KB, patch)
2013-03-21 08:52 UTC, Paul Poulain
Details | Diff | Splinter Review
[PASSED QA] Bug 9443 [Revised] Use DataTables on MARC frameworks administration (3.58 KB, patch)
2013-03-31 08:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-01-22 15:59:24 UTC
The MARC frameworks administration page uses the old tablesorter plugin. It should use the DataTables plugin instead.
Comment 1 Owen Leonard 2013-01-22 16:03:27 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2013-01-23 08:33:11 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-01-28 08:08:43 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2013-02-26 14:54:41 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2013-02-26 14:55:27 UTC
I have attached a rebased patch because I noticed it didn't apply anymore.
Comment 6 Owen Leonard 2013-03-20 19:02:51 UTC Comment hidden (obsolete)
Comment 7 Paul Poulain 2013-03-21 08:52:37 UTC
Patch tested with a sandbox, by Frederic Durand <frederic.durand@unilim.fr>
Comment 8 Paul Poulain 2013-03-21 08:52:55 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2013-03-31 08:25:33 UTC
Created attachment 17077 [details] [review]
[PASSED QA] Bug 9443 [Revised] Use DataTables on MARC frameworks administration

Replace the tablesorter plugin with the DataTables plugin on the
MARC frameworks administration page.

To test, open the MARC frameworks dministration page (Administration ->
MARC bibliographic framework -> MARC structure). Confirm that table
sorting, paging, and searching works correctly.

Revision corrects path to DataTables assets, merges with new
Bootstrap version of the page, and corrects minor markup errors.

Signed-off-by: Frederic Durand <frederic.durand@unilim.fr>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely.
All tests and QA script pass.
Comment 10 Jared Camins-Esakov 2013-03-31 12:18:04 UTC
This patch has been pushed to master.